<p>add-product works!</p>
<div class="row">
  <div class="col-sm-4"></div>
  <div class="col-sm-4">
    <div [hidden]="submitted" style="width: 400px;">
      <form [formGroup]="productsaveform" #saveproduct (ngSubmit)="saveProduct(saveProduct)">
        <div class="form-group">
          <label for="name">Product Name</label>
          <input type="text" class="form-control" formControlName="product_name" data-toggle="tooltip"
            data-placement="right" title="Enter Product Name">
        </div>
        <div class="form-group">
          <label for="name">Product Remained Number</label>
          <input type="text" class="form-control" formControlName="remained_number" data-toggle="tooltip"
            data-placement="right" title="Enter Remained Number">
        </div>
        <button type="submit" class="btn btn-success">Create</button>
      </form>
    </div>
  </div>
  <div class="col-sm-4"></div>
</div>
<div class="row">
  <div class="col-sm-4"></div>
  <div class="col-sm-4">
    <div [hidden]="!submitted">
      <h4>Product Added SuccessFully!</h4>
      <button (click)="addProductForm()" class='btn btn-primary'>Add More Product</button>
    </div>
  </div>
  <div class="col-sm-4"></div>
</div>